<?php
//Muestra las imagenes de tu piso
$idPiso = mysql_escape_string($_GET["idPiso"]);
$accion = mysql_escape_string($_GET["accion"]);

function listImages() {
   $ext = array("jpg", "png", "jpeg", "gif");
   $files = array();
   
   $idPiso = $_GET["idPiso"];
   //Se accede al directorio del piso 
   if($handle = opendir("C:/xampp/htdocs/tfg/uploads/".$idPiso)) {
       while(false !== ($file = readdir($handle)))
           for($i=0;$i<sizeof($ext);$i++)
               if(strstr($file, ".".$ext[$i]))
                   $files[] = $file;

       closedir($handle);
   }
   return($files);
}


echo '
<html>
<head>
<title>'.$_SERVER['REQUEST_URI'].'</title>
</head>
<body>';
//Lista de imagendes del directorio
$lista = listImages (getcwd());
//Si queremos editarn, mostraremoslos botones
if($accion == "editar"){
  for ($i=0; $i < count($lista); $i++){
    $nombreFoto = $lista[$i];
    echo '<img src="'. 'http://kl0d.no-ip.biz/tfg/uploads/'.$idPiso.'/'.$lista[$i].'" WIDTH=50% HEIGHT=40% ></br>';
    echo "<button onClick=\"deletePhoto('$idPiso','$nombreFoto');\"\>Delete photo</button>";
    echo "<br></br>";
}   
echo '  
  </body>
</html>';
}
//Si queremos solo mirar, no mostraremos los botones
else if($accion == "mirar"){
  for ($i=0; $i < count($lista); $i++){
    $nombreFoto = $lista[$i];
    echo '<img src="'. 'http://kl0d.no-ip.biz/tfg/uploads/'.$idPiso.'/'.$lista[$i].'" WIDTH=50% HEIGHT=40% ></br>';
    echo "<br></br>";
}   
echo '  
  </body>
</html>';
}


?>